package com.ruoyi.dxp.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 共享数据对象 dxp_data_share
 *
 * @author jy
 * @date 2023-02-04
 */
public class DataShare extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 所属整合数据id */
    @Excel(name = "所属整合数据id")
    private Long dataId;

    /** 目录id */
    @Excel(name = "目录id")
    private Long catalogueId;

    /** 数据库id */
    @Excel(name = "数据库id")
    private Long databaseId;

    /** 表id */
    @Excel(name = "表id")
    private Long tableId;

    /** 表名 */
    @Excel(name = "表名")
    private String tableName;

    /** 数据名称 */
    @Excel(name = "数据名称")
    private String dataName;

    /** 开放类型：关联数据字典 */
    @Excel(name = "开放类型：关联数据字典")
    private String publishType;

    /** 增量字段 */
    @Excel(name = "增量字段")
    private String addField;

    /** 信息标识符 */
    @Excel(name = "信息标识符")
    private String infoId;

    /** 标签：多个逗号间隔 */
    @Excel(name = "标签：多个逗号间隔")
    private String tag;

    /** 提供机构：关联字典 */
    @Excel(name = "提供机构：关联字典")
    private String provideOrganization;

    /** 状态：0待审核，1审核通过，2驳回 */
    @Excel(name = "状态：0待审核，1审核通过，2驳回")
    private String status;

    /** 浏览次数 */
    @Excel(name = "浏览次数")
    private Long viewCount;

    /** 申请次数 */
    @Excel(name = "申请次数")
    private Long applyCount;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 同步标志：0无更新，1有更新 */
    @Excel(name = "同步标志：0无更新，1有更新")
    private String syncFlag;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditBy;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String auditRemark;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDataId(Long dataId)
    {
        this.dataId = dataId;
    }

    public Long getDataId()
    {
        return dataId;
    }
    public void setCatalogueId(Long catalogueId)
    {
        this.catalogueId = catalogueId;
    }

    public Long getCatalogueId()
    {
        return catalogueId;
    }
    public void setDatabaseId(Long databaseId)
    {
        this.databaseId = databaseId;
    }

    public Long getDatabaseId()
    {
        return databaseId;
    }
    public void setTableId(Long tableId)
    {
        this.tableId = tableId;
    }

    public Long getTableId()
    {
        return tableId;
    }
    public void setTableName(String tableName)
    {
        this.tableName = tableName;
    }

    public String getTableName()
    {
        return tableName;
    }
    public void setDataName(String dataName)
    {
        this.dataName = dataName;
    }

    public String getDataName()
    {
        return dataName;
    }
    public void setPublishType(String publishType)
    {
        this.publishType = publishType;
    }

    public String getPublishType()
    {
        return publishType;
    }
    public void setAddField(String addField)
    {
        this.addField = addField;
    }

    public String getAddField()
    {
        return addField;
    }
    public void setInfoId(String infoId)
    {
        this.infoId = infoId;
    }

    public String getInfoId()
    {
        return infoId;
    }
    public void setTag(String tag)
    {
        this.tag = tag;
    }

    public String getTag()
    {
        return tag;
    }
    public void setProvideOrganization(String provideOrganization)
    {
        this.provideOrganization = provideOrganization;
    }

    public String getProvideOrganization()
    {
        return provideOrganization;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setViewCount(Long viewCount)
    {
        this.viewCount = viewCount;
    }

    public Long getViewCount()
    {
        return viewCount;
    }
    public void setApplyCount(Long applyCount)
    {
        this.applyCount = applyCount;
    }

    public Long getApplyCount()
    {
        return applyCount;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setSyncFlag(String syncFlag)
    {
        this.syncFlag = syncFlag;
    }

    public String getSyncFlag()
    {
        return syncFlag;
    }
    public void setAuditBy(String auditBy)
    {
        this.auditBy = auditBy;
    }

    public String getAuditBy()
    {
        return auditBy;
    }
    public void setAuditTime(Date auditTime)
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime()
    {
        return auditTime;
    }
    public void setAuditRemark(String auditRemark)
    {
        this.auditRemark = auditRemark;
    }

    public String getAuditRemark()
    {
        return auditRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dataId", getDataId())
                .append("catalogueId", getCatalogueId())
                .append("databaseId", getDatabaseId())
                .append("tableId", getTableId())
                .append("tableName", getTableName())
                .append("dataName", getDataName())
                .append("publishType", getPublishType())
                .append("addField", getAddField())
                .append("infoId", getInfoId())
                .append("tag", getTag())
                .append("provideOrganization", getProvideOrganization())
                .append("status", getStatus())
                .append("viewCount", getViewCount())
                .append("applyCount", getApplyCount())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .append("syncFlag", getSyncFlag())
                .append("auditBy", getAuditBy())
                .append("auditTime", getAuditTime())
                .append("auditRemark", getAuditRemark())
                .toString();
    }
}
